[X2Go-Commits] [x2goserver] 01/01: x2goserver/bin/x2gostartagent: try to enable lingering via systemd's loginctl utility before calling x2goagent. Fixes: #1198.

git-admin at x2go.org git-admin at x2go.org
Fri Aug 11 09:47:21 CEST 2017


This is an automated email from the git hooks/post-receive script.

x2go pushed a commit to branch release/4.0.1.x
in repository x2goserver.

commit d0d592b577a410ac8827dc4a620916348a0ab348
Author: Mihai Moldovan <ionic at ionic.de>
Date:   Fri Aug 11 09:45:51 2017 +0200

    x2goserver/bin/x2gostartagent: try to enable lingering via systemd's loginctl utility before calling x2goagent. Fixes: #1198.
---
 debian/changelog              | 2 ++
 x2goserver/bin/x2gostartagent | 5 +++++
 2 files changed, 7 insertions(+)

diff --git a/debian/changelog b/debian/changelog
index dc3ed6b..eddaaec 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -25,6 +25,8 @@ x2goserver (4.0.1.21-0x2go1) UNRELEASED; urgency=medium
     - x2goserver/bin/x2gosetkeyboard: only match up the first ending quote
       character in a non-greedy way. This will not support nested quotes
       within values, but we probably don't need this feature anyway.
+    - x2goserver/bin/x2gostartagent: try to enable lingering via systemd's
+      loginctl utility before calling x2goagent. Fixes: #1198.
   * x2goserver.spec:
     - Add mandatory perl-generators Build-Requires as per
       https://fedoraproject.org/wiki/Changes/Build_Root_Without_Perl
diff --git a/x2goserver/bin/x2gostartagent b/x2goserver/bin/x2gostartagent
index 80849b7..5ac265c 100755
--- a/x2goserver/bin/x2gostartagent
+++ b/x2goserver/bin/x2gostartagent
@@ -462,6 +462,11 @@ if [ -n "$X2GO_GEOMETRY" ] && [ "$X2GO_GEOMETRY" != "fullscreen" ]; then
 	agent_geometry="-geometry ${X2GO_GEOMETRY}"
 fi
 
+# systemd is prone to kill remaining sessions on user logouts.
+# That sort of makes sense to clean up stray processes,
+# but gets in the way of our persistent session scheme.
+loginctl enable-linger >/dev/null 2>&1 || :
+
 if  [ "$X2GO_STYPE" == "S" ]; then
 	# set NX_TEMP to /tmp, make sure x2goagent starts when pam_tmpdir.so is in use
 	NX_TEMP=/tmp x2goagent $X2GO_NXAGENT_OPTIONS $NOLISTOPT $X2GODPIOPTION_ -$SESSION_TYPE -auth "$XAUTHORITY" -shadow $SHADOW_DESKTOP -shadowmode $SHADOW_MODE $agent_geometry -name "${SESSION_WINDOW_TITLE}"  "${NX_AGENT}" 2>"${SESSION_LOG}" &

--
Alioth's /srv/git/code.x2go.org/x2goserver.git//..//_hooks_/post-receive-email on /srv/git/code.x2go.org/x2goserver.git


More information about the x2go-commits mailing list